Last Comment Bug 732855 - IonMonkey: Assertion failure: iter.slots() >= CountArgSlots(fp->fun()), at ion/Bailouts.cpp:208
: IonMonkey: Assertion failure: iter.slots() >= CountArgSlots(fp->fun()), at io...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: general
:
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-03-04 18:00 PST by Christian Holler (:decoder)
Modified: 2013-02-07 05:17 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase for shell (1.57 KB, text/javascript)
2012-03-04 18:00 PST, Christian Holler (:decoder)
no flags Details

Description Christian Holler (:decoder) 2012-03-04 18:00:33 PST
Created attachment 602781 [details]
Testcase for shell

The attached testcase asserts on ionmonkey revision 1fd6c40d3852 (run with --ion -n -m --ion-eager).
Comment 1 Christian Holler (:decoder) 2012-04-17 11:32:11 PDT
Doesn't seem to reproduce for me on a more recent build. Gary, can you bisect if/when this was fixed?
Comment 2 Gary Kwong [:gkw] [:nth10sd] 2012-04-17 14:10:06 PDT
Probably fixed by bug 732858.

autoBisect shows this is probably related to the following changeset:

The first good revision is:
changeset:   90644:4bab7e913ab6
user:        Nicolas Pierron
date:        Fri Mar 16 15:57:27 2012 -0700
summary:     Fix caller resume point just after inlining. (Bug 732858, r=dvander)
Comment 3 Christian Holler (:decoder) 2013-02-07 05:17:44 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/2e891e0db397

Note You need to log in before you can comment on or make changes to this bug.